<%@ page language="java" session="false" contentType="text/html; charset=UTF-8" %>
<%-- this file uses leading tabs; don't insert leading spaces --%>
<%@ include file="/common/taglibs.jsp" %>

<script language="JavaScript" src="reports/scripts/reports.js"></script>

<c:set var="translations">
	<fmt:message key='fcm.reports.header.bu.txt'/>,<fmt:message key='fcm.reports.header.strategies.txt'/>,<fmt:message key='fcm.reports.header.queues.txt'/>,<fmt:message key='fcm.reports.header.groups.txt'/>,<fmt:message key='fcm.reports.header.supervisors.txt'/>,<fmt:message key='fcm.reports.header.agents.txt'/>,<fmt:message key='fcm.reports.header.fraudTypes.txt'/>,<fmt:message key='fcm.reports.header.blockCodes.txt'/>,<fmt:message key='fcm.reports.header.country.txt'/>,<fmt:message key='fcm.reports.header.activityType.txt'/>,<fmt:message key='fcm.reports.header.cardNumber.txt'/>,<fmt:message key='fcm.reports.header.accountNumber.txt'/>,<fmt:message key='fcm.reports.header.serviceMode.txt'/>,<fmt:message key='fcm.reports.header.to.txt'/>,<fmt:message key='fcm.reports.header.from.txt'/>,<fmt:message key='fcm.reports.header.for.txt'/>,<fmt:message key='fcm.reports.header.startTime.txt'/>,<fmt:message key='fcm.reports.header.endTime.txt'/>,<fmt:message key='fcm.reports.header.report.txt'/>,<fmt:message key='fcm.reports.form.all.txt'/>,<fmt:message key='fcm.reports.footer.confidential.txt'/>,<fmt:message key='fcm.reports.header.multiOrg.txt'/>,<fmt:message key='fcm.reports.header.alertType.txt'/>
</c:set>


<!-- Tree header. -->
<div id="navhead" class="mmhide_navhd"><fmt:message key='fcm.reports.allReports.txt' /> &nbsp;</div>

<!-- Nested tables with fixed height -->
<table cellspacing=0 cellpadding=2 border="0" id="overview_table">
	<tr>
		<td id="navcol" align="left" valign="top" nowrap>

		<script language="JavaScript">

		//<!--


			var _reportNodes = [];
			var selectedNode = getCookieForTab("-1");
			var openNode = "";

			// parent node to store agent analysis report nodes
			var _reportNode = -1;
			var _nodeCount=0;
<xams:hide>
			var _reportsParams = ["common/blank.html"];
			_reportNodes[_nodeCount] = new Node(-1, 0, "folder","<fmt:message key='fcm.reports.reports.txt'/>", "<fmt:message key='fcm.reports.reports.txt' />",_reportsParams);
			_nodeCount=_nodeCount+1;
			var _hourCallParams = ["a_reporting.sj?method=getReportFrm",
				"reportType=viewHourlyCall",
				"report=yes",
				"reportName=<fmt:message key='fcm.reports.hourlyCallAnalysis.txt'/>",				
				"sortable=true",
				"params=strategy,supervisor,agent,serviceMode,bu",
				"reportNum=single",
				"reportTypes=viewHourlyCall"];
				_reportNodes[_nodeCount] = new Node(_nodeCount,_reportNode, "report","<fmt:message key='fcm.reports.hourlyCallAnalysis.txt'/>", "<fmt:message key='fcm.reports.hourlyCallAnalysis.txt'/>",
				_hourCallParams);
			if( parseInt(selectedNode) == _nodeCount ) openNode = _reportNode;

			_nodeCount=_nodeCount+1;
			var _agentTimeParams = ["a_reporting.sj?method=getReportFrm",
				"reportType=viewAgentTime",
				"report=yes",
				"reportName=<fmt:message key='fcm.reports.agentTimeAnalysis.txt'/>",				
				"sortable=true",
				"params=time,strategy,group,supervisor,agent,serviceMode,bu",
				"reportNum=multi",
				"reportTypes=viewAgentTime,viewAgentTimeSummary"];
			_reportNodes[_nodeCount] = new Node(_nodeCount,_reportNode, "report","<fmt:message key='fcm.reports.agentTimeAnalysis.txt'/>", "<fmt:message key='fcm.reports.agentTimeAnalysis.txt'/>",_agentTimeParams);
			if( parseInt(selectedNode) == _nodeCount ) openNode = _reportNode;

			_nodeCount=_nodeCount+1;
			var _fraudDetectParams = ["a_reporting.sj?method=getReportFrm",
				"reportType=viewFraudDetection",
				"report=yes",
				"reportName=<fmt:message key='fcm.reports.fraudDetection.txt'/>",				
				"sortable=true",
				"params=strategy,fraudType,serviceMode,bu,alertType,multiOrg",
				"reportNum=multi",
				"reportTypes=viewStrategyQueueAccount,viewStrategyFraudType,viewFraudType"];
			_reportNodes[_nodeCount] = new Node(_nodeCount,_reportNode, "report","<fmt:message key='fcm.reports.fraudDetection.txt'/>", "<fmt:message key='fcm.reports.fraudDetection.txt'/>",_fraudDetectParams);
			if( parseInt(selectedNode) == _nodeCount ) openNode = _reportNode;

			_nodeCount=_nodeCount+1;
			var _indCallHistParams = ["a_reporting.sj?method=getReportFrm",
				"reportType=viewIndCallHist",
				"report=yes",
				"reportName=<fmt:message key='fcm.reports.individualCallHistory.txt'/>",				
				"sortable=true",
				"params=entity,alertType",
				"reportNum=single",
				"reportTypes=viewIndCallHist"];
			if( parseInt(selectedNode) == _nodeCount ) openNode = _reportNode;
			_reportNodes[_nodeCount] = new Node(_nodeCount,_reportNode, "report","<fmt:message key='fcm.reports.individualCallHistory.txt'/>", "<fmt:message key='fcm.reports.individualCallHistory.txt'/>",_indCallHistParams);

			_nodeCount=_nodeCount+1;
			var _fraudSummaryParams = ["a_reporting.sj?method=getReportFrm",
				"reportType=viewFraudSummary",
				"report=yes",
				"reportName=<fmt:message key='fcm.reports.fraudSummary.txt'/>",
				"sortable=true",
				"params=strategy,bu,alertType,multiOrg",
				"reportNum=multi",
				"reportTypes=viewFullFSR,viewFSRByStrategy"];
			_reportNodes[_nodeCount] = new Node(_nodeCount,_reportNode, "report","<fmt:message key='fcm.reports.fraudSummary.txt'/>", "<fmt:message key='fcm.reports.fraudSummary.txt'/>",_fraudSummaryParams);
			if( parseInt(selectedNode) == _nodeCount ) openNode = _reportNode;

			_nodeCount=_nodeCount+1;
			var _workUnitFSRParams = ["a_reporting.sj?method=getReportFrm",
				"reportType=viewWorkUnitFSR",
				"report=yes",
				"reportName=<fmt:message key='fcm.reports.workUnitFraudSummary.txt'/>",
				"sortable=true",
				"params=strategy,bu,alertType,multiOrg",
				"reportNum=multi",
				"reportTypes=viewFullWUFSR,viewWUFSRByStrategy"];
			_reportNodes[_nodeCount] = new Node(_nodeCount,_reportNode, "report","<fmt:message key='fcm.reports.workUnitFraudSummary.txt'/>", "<fmt:message key='fcm.reports.workUnitFraudSummary.txt'/>",_workUnitFSRParams);
			if( parseInt(selectedNode) == _nodeCount ) openNode = _reportNode;

			_nodeCount=_nodeCount+1;
			var _availInventoryParams = ["a_reporting.sj?method=getReportFrm",
				"reportType=viewAvailInventory",
				"report=yes",
				"reportName=<fmt:message key='fcm.reports.availableInventory.txt'/>",
				"sortable=true",
				"params=time,strategy,newSched,bu,alertType,multiOrg",
				"reportNum=single",
				"reportTypes=viewAvailInventory"];
			_reportNodes[_nodeCount] = new Node(_nodeCount,_reportNode, "report","<fmt:message key='fcm.reports.availableInventory.txt'/>", "<fmt:message key='fcm.reports.availableInventory.txt'/>",_availInventoryParams);
			if( parseInt(selectedNode) == _nodeCount ) openNode = _reportNode;

			_nodeCount=_nodeCount+1;
			var _newCasesSchedParams = ["a_reporting.sj?method=getReportFrm",
				"reportType=viewNewCasesSched",
				"report=yes",
				"reportName=<fmt:message key='fcm.reports.newAlertsScheduled.txt'/>",
				"sortable=true",
				"params=strategy,bu,alertType,multiOrg",
				"reportNum=multi",
				"reportTypes=viewNewCasesSchedFull,viewNewCasesSchedByStrategy"];
			_reportNodes[_nodeCount] = new Node(_nodeCount,_reportNode, "report","<fmt:message key='fcm.reports.newAlertsScheduled.txt'/>", "<fmt:message key='fcm.reports.newAlertsScheduled.txt'/>",_newCasesSchedParams);
			if( parseInt(selectedNode) == _nodeCount ) openNode = _reportNode;

			_nodeCount=_nodeCount+1;
			var _falsePositivesParams = ["a_reporting.sj?method=getReportFrm",
				"reportType=viewFalsePositives",
				"report=yes",
				"reportName=<fmt:message key='fcm.reports.fraudQueueFalsePositives.txt'/>",
				"sortable=false",
				"params=strategy,serviceMode,bu,alertType,multiOrg",
				"reportNum=multi",
				"reportTypes=viewFullFP,viewFPByStrategy,viewFPFraudType"];
			_reportNodes[_nodeCount] = new Node(_nodeCount,_reportNode, "report","<fmt:message key='fcm.reports.fraudQueueFalsePositives.txt'/>", "<fmt:message key='fcm.reports.fraudQueueFalsePositives.txt'/>",_falsePositivesParams);
			if( parseInt(selectedNode) == _nodeCount ) openNode = _reportNode;

			_nodeCount=_nodeCount+1;
			var _newActivityMonitorParams = ["common/blank.html"];
			_reportNodes[_nodeCount] = new Node(_nodeCount,0, "folder","<fmt:message key='fcm.reports.monitors.txt'/>", "<fmt:message key='fcm.reports.monitors.txt'/>",_newActivityMonitorParams);
			_monitorNode=_nodeCount;
			_nodeCount=_nodeCount+1;

			var _newCallControlParams = ["a_reporting.sj?method=getReport",
				"reportType=viewCallControl",
				"reportName=<fmt:message key='fcm.reports.callControlMonitor.txt'/>",
				"sortable=true",
				"params=none",
				"reportNum=single",
				"translations=${esapi:encodeForJavaScript(translations)}",
				"reportTypes=viewCallControl"];
			_reportNodes[_nodeCount] = new Node(_nodeCount,_monitorNode, "report","<fmt:message key='fcm.reports.callControlMonitor.txt'/>", "<fmt:message key='fcm.reports.callControlMonitor.txt'/>",_newCallControlParams);
			if( parseInt(selectedNode) == _nodeCount ) openNode = _monitorNode;
			_nodeCount=_nodeCount+1;
		
			var _ivrAlertsParams =  ["a_reporting.sj?method=getReport",
				"reportType=viewIvrAlerts",
				"reportName=<fmt:message key='fcm.reports.ivrAlerts.txt'/>",
				"sortable=true",
				"params=none",
				"reportNum=single",
				"translations=${esapi:encodeForJavaScript(translations)}",
				"reportTypes=viewIvrAlerts"];
			_reportNodes[_nodeCount] = new Node(_nodeCount,_monitorNode, "report","<fmt:message key='fcm.reports.ivrAlerts.txt'/>", "<fmt:message key='fcm.reports.ivrAlerts.txt'/>",_ivrAlertsParams);
			if( parseInt(selectedNode) == _nodeCount ) openNode = _monitorNode;
			_nodeCount=_nodeCount+1;

			
			var _queryParams = ["common/blank.html"];
			_reportNodes[_nodeCount] = new Node(_nodeCount,0, "folder","<fmt:message key='fcm.reports.queries.txt'/>", "<fmt:message key='fcm.reports.queries.txt'/>",_queryParams);
			if( parseInt(selectedNode) == _nodeCount ) openNode = 0;

			_nodeCount=_nodeCount+1;
			_queryNode=_nodeCount-1;
			var _dailyFraudParams = ["a_reporting.sj?method=getReportFrm",
				"reportType=viewDailyFraud",
				"reportName=<fmt:message key='fcm.reports.confirmedFraudAlerts.txt'/>",
				"sortable=true",
				"params=supervisor,fraudType,bu,alertType,multiOrg",
				"reportNum=single",
				"reportTypes=viewDailyFraud"];
			_reportNodes[_nodeCount] = new Node(_nodeCount,_queryNode, "report","<fmt:message key='fcm.reports.confirmedFraudAlerts.txt'/>", "<fmt:message key='fcm.reports.confirmedFraudAlerts.txt'/>",_dailyFraudParams);
			if( parseInt(selectedNode) == _nodeCount ) openNode = _queryNode;

			_nodeCount=_nodeCount+1;
			var _contactsByTeamParams =  ["a_reporting.sj?method=getReportFrm",
				"reportType=viewContactsByTeam",
				"reportName=<fmt:message key='fcm.reports.contactsByTeam.txt'/>",
				"sortable=true",
				"params=group,supervisor,agent,bu,alertType,multiOrg",
				"reportNum=single",
				"reportTypes=viewContactsByTeam"];
			_reportNodes[_nodeCount] = new Node(_nodeCount,_queryNode, "report","<fmt:message key='fcm.reports.contactsByTeam.txt'/>", "<fmt:message key='fcm.reports.contactsByTeam.txt'/>",_contactsByTeamParams);
			if( parseInt(selectedNode) == _nodeCount ) openNode = _queryNode;

			_nodeCount=_nodeCount+1;
			var _tempBlockedParams =  ["a_reporting.sj?method=getReportFrm",
				"reportType=viewTempBlocked",
				"reportName=<fmt:message key='fcm.reports.temporarilyBlockedAlerts.txt'/>",
				"sortable=true",
				"params=blockCode,alertType,multiOrg",
				"reportNum=single",
				"reportTypes=viewTempBlocked"];
			_reportNodes[_nodeCount] = new Node(_nodeCount,_queryNode, "report","<fmt:message key='fcm.reports.temporarilyBlockedAlerts.txt'/>", "<fmt:message key='fcm.reports.temporarilyBlockedAlerts.txt'/>",_tempBlockedParams);
			if( parseInt(selectedNode) == _nodeCount ) openNode = _queryNode;

			_nodeCount=_nodeCount+1;
			var _transByCountryParams =  ["a_reporting.sj?method=getReportFrm",
				"reportType=viewTransByCountry",
				"reportName=<fmt:message key='fcm.reports.transactionsByCountry.txt'/>",
				"sortable=true",
				"params=countryCode,activityType,multiOrg",
				"reportNum=single",
				"reportTypes=viewTransByCountry"];
			_reportNodes[_nodeCount] = new Node(_nodeCount,_queryNode, "report","<fmt:message key='fcm.reports.transactionsByCountry.txt'/>", "<fmt:message key='fcm.reports.transactionsByCountry.txt'/>",_transByCountryParams);
			if( parseInt(selectedNode) == _nodeCount ) openNode = _queryNode;
			_nodeCount=_nodeCount+1;
</xams:hide>			
			<!--REPORTING HISTORY REPORTS-->
			<c:if test="${rhAvail=='1'}">
				var _queryParams = ["common/blank.html"];
				if(_nodeCount==0)_histNode=_nodeCount-1;else _histNode=_nodeCount;//for showing rule fired report only for XAMS	
				_reportNodes[_nodeCount] = new Node(_histNode,0, "folder","<fmt:message key='fcm.reports.historicalReports.txt'/>", "<fmt:message key='fcm.reports.historicalReports.txt'/>",_queryParams);
				if( parseInt(selectedNode) == _nodeCount ) openNode = 0;

				_nodeCount=_nodeCount+1;
				if(_nodeCount> 1) _queryNode=_nodeCount-1;else _queryNode=-1;//for showing rule fired report only for XAMS	
<xams:hide>				
				var _alertsByScoreBandParams = ["a_reporting.sj?method=getReportFrm",
					"reportType=viewAlertsScoreBand",
					"reportName=<fmt:message key='fcm.reports.alertsByScoreBand.txt'/>",
					"sortable=true",
					"params=bu_rh,multiOrg_rh,strategy_rh,queue_rh,rule_rh,alertType_rh,rh",
					"reportNum=multi",
					"reportTypes=viewAlertsScoreBandSummary,viewAlertsScoreBand"];
				_reportNodes[_nodeCount] = new Node(_nodeCount,_queryNode, "report","<fmt:message key='fcm.reports.alertsByScoreBand.txt'/>", "<fmt:message key='fcm.reports.alertsByScoreBand.txt'/>",_alertsByScoreBandParams);
				if( parseInt(selectedNode) == _nodeCount ) openNode = _queryNode;			


				_nodeCount=_nodeCount+1;	
</xams:hide>				
				var _rulesFiredParams = ["a_reporting.sj?method=getReportFrm",
					"reportType=viewRulesFired",
					"reportName=<fmt:message key='fcm.reports.rulesFired.txt'/>",
					"sortable=true",
					"params=bu_rh,multiOrg_rh,strategy_rh,queue_rh,rule_rh,alertType_rh,ruleState_rh,rh",
					"reportNum=single",
					"reportTypes=viewRulesFired"];
				_reportNodes[_nodeCount] = new Node(_nodeCount,_queryNode, "report","<fmt:message key='fcm.reports.rulesFired.txt'/>", "<fmt:message key='fcm.reports.rulesFired.txt'/>",_rulesFiredParams);
				if( parseInt(selectedNode) == _nodeCount ) openNode = _queryNode;				
			</c:if>			
			
			// Store tree at the top level so menus have access
			var reportsTree = new Tree("reportsTree",
				_reportNodes,
				0,
				String(openNode),
				String(selectedNode),
				"showReportDetail()",
				false,
				false,
				true,
				"common/images/tree/",
				"common/images/" );
			parent.frames[ "detail" ].location.href = 'common/blank.html';

		//-->
		// Generic method defined to show selected node
		Tree.showSelectedAdminNode = function(){reportsTree.showNode();};
		showReportDetail();
		</script>
	</td>
</tr>
</table>

