<%@ page contentType="text/html; charset=UTF-8" %>
<%@ include file="/common/taglibs.jsp" %>

<script>
	var _memos = new Array();
	var _memoOpts = new Array();
	_memos.push('');
</script>
<%--
	Only want to iterate through the memo list once, so
	let's create the option elements now
--%>
<c:forEach var="mt" items="${displayEntity.currentAlert.predefinedMemos}" >
	<script>
		_memos.push('${esapi:encodeForJavaScript(mt.text)}');
		<c:choose>
			<c:when test="${fn:length(mt.name) > 50}">
				_memoOpts.push('<option value="${mt.id}"> ${esapi:encodeForHTML(fn:substring(mt.name,0,50))}....</option>');
			</c:when>
			<c:otherwise>
				_memoOpts.push('<option value="${mt.id}"> ${esapi:encodeForHTML(mt.name)}</option>');
			</c:otherwise>
		</c:choose>
	</script>
</c:forEach>


<%--
    Preparing the call results along with the approprate block codes
--%>
<script>
	var _callResultsOpts= new Array();
	_callResultsOpts.push('');
</script>


<c:forEach var="crs" items="${displayEntity.currentAlert.queue.callResultSettings}" >
	<c:if test="${crs.id!=3}">
		<script>
			_callResultsOpts.push("<option value='${crs.callResult}'> <fmt:message key='fcm.alert.callResult.${crs.id}.txt'/></option>");
		</script>
		<c:if test="${crs.callResult=='CONFIRMED FRAUD'}">
			<input type="hidden" name="applySystemBlock" value="${crs.applySystemBlock}">
			<input type="hidden" name="applyTransactionBlock" value="${crs.applyTransactionBlock}">
		</c:if>
		<c:if test="${crs.applySystemBlock || crs.removeSystemBlock}">
			<div style="display:none;" id="systemBlock${crs.callResult}DIV" >
				<select name="systemBlock${crs.callResult}Select" class="famSelect" style="width:10em" onChange="handleSysBlock(this.options[this.selectedIndex].value)">
						<option value="" selected="selected" ><fmt:message key="fcm.alert.noChange.txt"/></option>
						<c:if test="${crs.removeSystemBlock && displayEntity.currentAlert.removeSystemBlock}">
							<option value="clearBlock" ><fmt:message key="fcm.alert.clearBlock.txt"/></option>
						</c:if>
						<c:if test="${crs.applySystemBlock }">
							<c:forEach var="bc" items="${crs.systemBlocks}">
								<c:if test="${displayEntity.systemBlock1.expired || displayEntity.systemBlock1.code != bc.blockCode}">
									<option value="${esapi:encodeForHTMLAttribute(bc.blockCode)}">${esapi:encodeForHTML(bc.blockLabel)}</option>
								</c:if>
							</c:forEach>
						</c:if>
				</select>
			</div>
		</c:if>
		<c:if test="${!displayEntity.dndContact}">
			<c:if test="${crs.applyTransactionBlock || crs.removeTransactionBlock}">
				<div style="display:none;" id="transactionBlock${crs.callResult}DIV">
					<select name="transactionBlock${crs.callResult}Select" class="famSelect" style="width:10em" onChange="handleTxnBlock(this.options[this.selectedIndex].value)">
							<option value="" selected="selected" ><fmt:message key="fcm.alert.noChange.txt"/></option>
							<c:if test="${crs.removeTransactionBlock && displayEntity.currentAlert.removeTransactionBlock}">
								<option value="clearBlock" ><fmt:message key="fcm.alert.clearBlock.txt"/></option>
							</c:if>
							<c:if test="${crs.applyTransactionBlock }">
								<c:forEach var="bc" items="${crs.transactionBlocks}">
									<c:if test="${displayEntity.transactionBlock.expired || displayEntity.transactionBlock.code != bc.blockCode}">
										<option value="${esapi:encodeForHTMLAttribute(bc.blockCode)}">${esapi:encodeForHTML(bc.blockLabel)}</OPTION>
									</c:if>
								</c:forEach>
							</c:if>
					</select>
				</div>
			</c:if>
		</c:if>
	</c:if>
</c:forEach>

<%-- show wrapGrid --%>
<tiles:insert page="wrapGrid.jsp" />

<input type="hidden" name="lastCall" value="false">
<input type="hidden" name="updateTransaction" value="false">
<input type="hidden" name="alertID" value="${displayEntity.currentAlert.id}">
<input type="hidden" name="alertVersion" value="${displayEntity.currentAlert.version}">
<input type="hidden" name="systemBlock" value="">
<input type="hidden" name="transactionBlock" value="">
<input type="hidden" name="analystTimeZone" value="">
<script language="javascript">document.alertForm.analystTimeZone.value=DateUtil.getLocalTimeZone();</script>

<div id="calendarDIV" style="position:absolute;visibility:hidden;background-color:white;"></div>

<c:if test="${enableTemplates=='true'}">
	<%-- begin letter fields div --%>
	<div id="letterFieldsDIV" class="templateFields">
		<table border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td style="font-weight:bold;background-color:#039;color:white;padding:4px;"><fmt:message key="fcm.alert.supplementaryLetterInformation.txt"/></td>
			</tr>
			<tr>
				<td>
					<table border="0" cellspacing="0" cellpadding="2" style="margin:12px">
						<tr>
							<td align="left"><fmt:message key="fcm.alert.template.txt"/>:</td>
							<td>
								<select name="letterTemplate" class="famSelect" style="width:433px">
									<c:forEach var="letter" items="${displayEntity.currentAlert.letterTemplates}" varStatus="loop">
										<c:set var="selAttr" value=""/>
										<c:if test="${displayEntity.currentAlert.queue.defaultLetter == letter.id}">
											<c:set var="selAttr" value="selected=\"selected\""/>
										</c:if>
										<option value="${letter.id}_${esapi:encodeForHTMLAttribute(letter.hostKey)}" ${selAttr}>${esapi:encodeForHTML(letter.name)}</option>
									</c:forEach>
								</select>
	<%--
	TODO: special handling for PF217 and HF217
	--%>
							</td>
						</tr>
						<tr>
							<td align="left"><fmt:message key="fcm.alert.name1.txt"/> :</td>
							<td><input name="altName1" type="text" class="famTextEntry" size="35" maxlength="40">
								&nbsp;<fmt:message key="fcm.alert.name2.txt"/> :
								<input name="altName2" type="text" class="famTextEntry" size="35" maxlength="40" style="margin-right:3px;">
							</td>
						</tr>
						<tr>
							<td align="left"><fmt:message key="fcm.alert.addressLine1.txt"/>:</td>
							<td><input name="altAddress1" type="text" class="famTextEntry" size="42" maxlength="40">
								&nbsp;<fmt:message key="fcm.alert.line2.txt"/>:
							<input name="altAddress2" type="text" class="famTextEntry" size="30" maxlength="40" /></td>
						</tr>
						<tr>
							<td align="left"><fmt:message key="fcm.alert.city.txt"/>:</td>
							<td><input name="altCity" type="text" class="famTextEntry" size="38" maxlength="40" style="margin-right:7px">
								<fmt:message key="fcm.alert.state.txt"/>:
								<input name="altStateProvinceCode" type="text" class="famTextEntry" size="4" maxlength="3" style="margin-right:5px">
								<fmt:message key="fcm.alert.postalCode.txt"/>:
								<input name="altPostalCode" type="text" class="famTextEntry" size="12" maxlength="10">
	<%--
								&nbsp;<fmt:message key="fcm.alert.country.txt"/>:
								<input name="countryCode" type="text" class="famTextEntry" size="4" maxlength="3" />
	--%>
							</td>
						</tr>
						<tr>
							<td align="left"><fmt:message key="fcm.alert.text1ProofOf.txt"/>:</td>
							<td>
								<select name="textProofCode1" class="famSelect" style="width:432px;">
									<OPTION value="" selected><fmt:message key="fcm.alert.selectTextProof.txt"/>...</OPTION>
								<c:forEach var="text" items="${textProofs}">
									<OPTION value="${esapi:encodeForHTMLAttribute(text.code)}" >${esapi:encodeForHTML(text.name)}</OPTION>
								</c:forEach>
								</select></td>
						</tr>
						<tr>
							<td align="left"><fmt:message key="fcm.alert.text2ProofOf.txt"/>:</td>
							<td>
								<select name="textProofCode2" class="famSelect" style="width:432px;">
									<OPTION value="" selected><fmt:message key="fcm.alert.selectTextProof.txt"/>...</OPTION>
								<c:forEach var="text" items="${textProofs}">
									<OPTION value="${esapi:encodeForHTMLAttribute(text.code)}" >${esapi:encodeForHTML(text.name)}</OPTION>
								</c:forEach>
								</select></td>
						</tr>
						<tr>
							<td align="left"><fmt:message key="fcm.alert.text3ProofOf.txt"/>:</td>
							<td>
								<select name="textProofCode3" class="famSelect" style="width:432px;">
									<OPTION value="" selected><fmt:message key="fcm.alert.selectTextProof.txt"/>...</OPTION>
								<c:forEach var="text" items="${textProofs}">
									<OPTION value="${esapi:encodeForHTMLAttribute(text.code)}" >${esapi:encodeForHTML(text.name)}</OPTION>
								</c:forEach>
								</select></td>
						</tr>
						<tr>
							<td colspan="2" align="center" style="padding-top:8px;"><input type="button" value="<fmt:message key="fcm.alert.ok.txt"/>" class="button" style="width:6em" onClick="validateLetter(this.form);"> &nbsp;
								<input type="button" value="<fmt:message key="fcm.alert.clear.txt"/>" class="button" style="width:6em" onClick="document.alertForm.altName1.value='';document.alertForm.altName2.value='';document.alertForm.altAddress1.value='';document.alertForm.altAddress2.value='';document.alertForm.altCity.value='';document.alertForm.altStateProvinceCode.value='';document.alertForm.altPostalCode.value='';document.alertForm.textProofCode1.selectedIndex=0;document.alertForm.textProofCode2.selectedIndex=0;document.alertForm.textProofCode3.selectedIndex=0;"></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</div>
	<%-- end letter fields div --%>

	<%-- begin email fields div --%>
	<div id="emailFieldsDIV" class="templateFields">
		<table border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td style="font-weight:bold;background-color:#039;color:white;padding:4px;"><fmt:message key="fcm.alert.emailTemplate.txt"/></td>
			</tr>
			<tr>
				<td>
					<table border="0" cellspacing="0" cellpadding="2" style="margin:12px">
						<tr>
							<td><fmt:message key="fcm.alert.templateId.txt"/>:</td>
							<td align="right" style="padding-right:22px">
								<select name="emailTemplate" class="famSelect" style="width:200px">
								<c:forEach var="email" items="${displayEntity.currentAlert.emailTemplates}" varStatus="loop">
									<c:set var="selAttr" value=""/>
									<c:if test="${displayEntity.currentAlert.queue.defaultEmail == email.id}">
										<c:set var="selAttr" value="selected=\"selected\""/>
									</c:if>
									<option value="${email.id}_${esapi:encodeForHTMLAttribute(email.hostKey)}" ${selAttr}>${esapi:encodeForHTML(email.name)}</option>
								</c:forEach>
								</select>
							</td>
						</tr>
						<tr>
							<td colspan="2" align="center" style="padding-top:8px;"><input type="button" value="<fmt:message key="fcm.alert.ok.txt"/>" class="button" style="width:6em" onClick="$('#emailFieldsDIV').hide();"></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</div>
	<%-- end email fields div --%>

	<%-- begin sms fields div --%>
	<div id="smsFieldsDIV" class="templateFields">
		<table border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td style="font-weight:bold;background-color:#039;color:white;padding:4px;"><fmt:message key="fcm.alert.smsTemplate.txt"/></td>
			</tr>
			<tr>
				<td>
					<table border="0" cellspacing="0" cellpadding="2" style="margin:12px">
						<tr>
							<td><fmt:message key="fcm.alert.templateId.txt"/>:</td>
							<td align="right" style="padding-right:22px">
								<select name="smsTemplate" class="famSelect" style="width:200px">
								<c:forEach var="sms" items="${displayEntity.currentAlert.smsTemplates}" varStatus="loop">
									<c:set var="selAttr" value=""/>
									<c:if test="${displayEntity.currentAlert.queue.defaultSms == sms.id}">
										<c:set var="selAttr" value="selected=\"selected\""/>
									</c:if>
									<option value="${sms.id}_${esapi:encodeForHTMLAttribute(sms.hostKey)}" ${selAttr}>${esapi:encodeForHTML(sms.name)}</option>
								</c:forEach>
								</select>
							</td>
						</tr>
						<tr>
							<td colspan="2" align="center" style="padding-top:8px;"><input type="button" value="<fmt:message key="fcm.alert.ok.txt"/>" class="button" style="width:6em" onClick="$('#smsFieldsDIV').hide();"></td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</div>
	<%-- end sms fields div --%>

	<%-- Extra Template Fulfillment Fields --%>
	<div id="genericFieldsDiv" style="position:relative;display:none;background-color:white;">
		<table>
			<tr>
				<td><fmt:message key="fcm.alert.fulfillment.transactionsStartDate.txt"/></td>
				<td>
					<input type="text" id="calTarget5" name="transactionsStartDateStr" class="famTextEntry" value="" readonly="readonly" style="vertical-align:middle"/>
					<a id="calAnchor5"><img src="analyst/images/calendarIcon.gif" class="icon" width="16" height="15"/></a>
				</td>
			</tr>
			<tr>
				<td><fmt:message key="fcm.alert.fulfillment.transactionsEndDate.txt"/></td>
				<td>
					<input type="text" id="calTarget6" name="transactionsEndDateStr" class="famTextEntry" value="" readonly="readonly" style="vertical-align:middle"/>
					<a id="calAnchor6"><img src="analyst/images/calendarIcon.gif" class="icon" width="16" height="15"/></a>
				</td>
			</tr>
			<tr>
				<td><fmt:message key="fcm.alert.fulfillment.transactionTotalAmount.txt"/></td>
				<td>
					<input name="totalTransactionAmount" type="text" class="famTextEntry" value="" maxlength="21"/>
				</td>
			</tr>
			<tr>
				<td><fmt:message key="fcm.alert.fulfillment.merchantCountryNames.txt"/></td>
				<td><input name="merchantCountryNames" type="text" class="famTextEntry" value="" maxlength="250"/></td>
			</tr>
			<tr>
				<td><fmt:message key="fcm.alert.fulfillment.notes.txt"/></td>
				<td><input name="notes" type="text" class="famTextEntry" value="" maxlength="250"/></td>
			</tr>
		</table>
	</div>

</c:if>

<div id="alertTypePromptFromTransactions" style="position:absolute;z-index: 20;background-color:white; border: 1px solid #039; padding-bottom:5px; display: none">
	<table cellpadding="0" cellspacing="0" border="0" style="padding:5px; ">
		<tbody>
			<tr>
				<td id="alertTypePromptFromTransactionsLabel" style="font-weight:bold; background-color: #039;padding:4px;color:#FFF">
					<fmt:message key="fcm.alert.createAlertOnTransaction.txt"/>
				</td>
			</tr>
			<tr>
				<td>
					<select id="alertTypePromptFromTransactionsSelect" class="famSelect">
					</select>
					<select id="userAlertTypes" style="display:none">
					<c:forEach var="alertType" items="${userAlertTypes}">
						<option value="${esapi:encodeForHTMLAttribute(alertType)}"><fmt:message key="${alertType}" bundle="${alertTypeLabelResourceBundle}"/></option>
					</c:forEach>
					</select>
					<img id="alertTypePromptFromTransactionsSpinner" src="common/images/spinner16.gif" border="0" class="icon" width="16" height="16" style="display:none"/>
				</td>
			</tr>
			<tr>
				<td>
					<input type="button" onmousedown="$('#alertTypePromptFromTransactions,#alertTypePromptFromTransactionsSpinner').hide()" value="<fmt:message key="fcm.alert.createAlertOnTransactionCancel.txt"/>">
					<input type="button" id="alertTypePromptFromTransactionsContinue" value="<fmt:message key="fcm.alert.createAlertOnTransactionContinue.txt"/>">
				</td>
			</tr>
		</tbody>
	</table>
</div>
<div id="alertCreatedPromptFromTransactions" style="position:absolute;z-index: 20;background-color:white; border: 1px solid #039; padding-bottom:5px; display: none">
	<table cellpadding="0" cellspacing="0" border="0" style="padding:5px; ">
		<tbody>
			<tr>
				<td style="background-color: #039;padding:4px;color:#FFF">
					<fmt:message key="fcm.alert.createAlertOnTransactionAlert.txt"/>
				</td>
			</tr>
			<tr>
				<td id="alertCreatedPromptFromTransactionsResult">
				</td>
			</tr>
			<tr> <td>
			<a href="javascript:;" onmousedown="$('#alertCreatedPromptFromTransactions').hide();"><fmt:message key="fcm.alert.createAlertOnTransactionClose.txt"/></a>
		</td>
		</tr>
		</tbody>
	</table>
</div>
