---------------------------------------------------------------------------------
--
-- Ensure System Privielege REPORTS is visible
--
---------------------------------------------------------------------------------

UPDATE FCM_PRIVILEGE 
SET LOGICAL_DEL_IND='0' WHERE SYSTEM_PRIVILEGE_NAME='REPORTS';
COMMIT;


---------------------------------------------------------------------------------
--
-- Add new FCM_PROPERTY entries
--
---------------------------------------------------------------------------------
merge into FCM_VERSION p
USING TABLE(values('Base DDL', '4.1.0.4'))
                     ac(VERSION_NAME , VERSION_NUM)
                  ON (p.VERSION_NAME = ac.VERSION_NAME
                      AND p.VERSION_NUM=ac.VERSION_NUM)
when not matched then
insert (
    VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT)
VALUES (
        'Base DDL', '4.1.0.4', current_date, '4.1 M0 HF4 DDL', 'DDL')
;

commit;
